###################################################
### chunk number 1: 
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(2, 4, 0.5, 4),las=1,cex=0.75)
))
library (rtv)


###################################################
### chunk number 2: 
###################################################
methods (drtv)
args (drtv.character)


###################################################
### chunk number 3: 
###################################################
seed = c ("2008-01-01", "2008-02-01", "2008-03-01", "2008-04-01")
x = drtv (seed)
x


###################################################
### chunk number 4: 
###################################################
drtvf (x)


###################################################
### chunk number 5: 
###################################################
x$day
length (x)
x [1]


###################################################
### chunk number 6: 
###################################################
drtvs (seed)


###################################################
### chunk number 7: 
###################################################
seedx = c ("2010-06-08 14:45:00", "2010-06-08 04:22:00",
	"2010-06-08 22:45:00", "2010-06-08 02:05:00")
x = drtvx (seedx)
x


###################################################
### chunk number 8: 
###################################################
drtvf (x, date=FALSE)


###################################################
### chunk number 9: 
###################################################
rtvo.format (TRUE)
rtvo.date (FALSE)
x
rtvo.reset ()


###################################################
### chunk number 10: 
###################################################
methods (crtv)
args (drtv.character)


###################################################
### chunk number 11: 
###################################################
x = crtv (seed)
drtvf (x)
x


###################################################
### chunk number 12: 
###################################################
#date only
crtv (seed, "2008-01-01", "hour")


###################################################
### chunk number 13: 
###################################################
#date and time of day - origin at midnight
crtvx (seedx, drtvs ("2008-01-01"), "hour")


###################################################
### chunk number 14: 
###################################################
#date and time of day - origin = first recorded event
crtvx (seedx, drtvx (seedx [1]), "hour")


###################################################
### chunk number 15: 
###################################################
#date and time of day - origin = first occurring event
crtvx (seedx, min (crtvx (seedx) ), "hour")


###################################################
### chunk number 16: 
###################################################
rng = range (x)
seq (rng [1], rng [2], 10)


###################################################
### chunk number 17: 
###################################################
x$origin
x$unit


###################################################
### chunk number 18: 
###################################################
x1 = c (1, 2, 3, 3, 4, 4, 5, 5, 6, 6)
x2 = c (7, 7, 8, 8, 9, 9, 9, 10, 10, 10, 11, 11, 11, 11, 11, 12, 12, 12, 12)
x = rep (c (x1, x2, x1 + 12), 20)
x = x + runif (length (x), -1, 1) - 0.5
x = x [x > 0 & x < 18]
x = crtv (x, drtvs ("2007-01-01"), "month")


###################################################
### chunk number 19: 
###################################################
#first 5 and last 5
n = length (x)
drtvf (sort (x) [c (1:5, (n-4):n)], FALSE)


###################################################
### chunk number 20: 
###################################################
u = floor (x) + 1
k = table (u)
barplot (k, names=names (k), col=rgb (0.65, 0.8, 0.65) )


###################################################
### chunk number 21: 
###################################################
labs = formatmonth (c (1:12, 1:6), nchars=1)
barplot (k, names=labs, xaxs="i", col=rgb (0.65, 0.8, 0.65),
	xlim=c (0, 18), ylim= c (0, 100), width=0.8, space=0.25)
abline (v=12.1, lty=2)
text (c (0.5, 12.5), c (90, 90),
	c ("2007 (whole year)", "2008 (1st 6 months)"), adj=c (0, 0.5) )


###################################################
### chunk number 22: 
###################################################
plot (x, ylab="F(x)")
abline (v=12, lty=2)


###################################################
### chunk number 23: 
###################################################
x = (1:75)
x = x / 15 + runif (75, -0.25, 0.25)
x = x [x > 0 & x < 5]
x = sort (x)
x = crtv (x, drtvs ("2010-04-05") )
y = rep (-1, length (x) )
z = x - floor (x)
y [z > 0.25 & z < (17/28)] = 1
y = y + runif (length (y), -1.2, 1.2)


###################################################
### chunk number 24: 
###################################################
#first 5 and last 5
n = length (x)
drtvf (sort (x) [c (1:5, (n-4):n)], FALSE)


###################################################
### chunk number 25: 
###################################################
plot (x, y, at=(0:4) + 0.5)
abline (v=1:4, col="grey20", lty=3)


###################################################
### chunk number 26: 
###################################################
plot (x, y, cycle="day")


###################################################
### chunk number 27: 
###################################################
seed = c ("2008-01-01", "2008-01-04", "2008-01-03", "2008-01-02")
x = crtv (seed, seed [1], "hour")
x 


###################################################
### chunk number 28: 
###################################################
length (x)
formatdow (drtv (x [1])$dow)
c (x, x)
rep (x, 4)
sort (x)
order (x)
mean (x)
min (x)
max (x)
range (x)
round (x)
x [2]
x + 24


###################################################
### chunk number 29: 
###################################################
year = 2001:2010
is.leap (year)
year [is.leap (year)]
ndays.year (year)


###################################################
### chunk number 30: 
###################################################
month = 1:12
ndays.month (2007, month)
ndays.month (2008, month)


###################################################
### chunk number 31: 
###################################################
date2dow (2010, 2, 1:10)
date2doy (2010, 2, 1:10)
doy2date (2010, 24:35)


###################################################
### chunk number 32: 
###################################################
dow = 1:7
formatdow (dow)
formatdow (dow, case="upper", nchars=NA)


###################################################
### chunk number 33: 
###################################################
formatmonth (month)
formatmonth (month, case="lower")


###################################################
### chunk number 34:  eval=FALSE
###################################################
## rtvo.reset ()
## rtvo.format (format=FALSE)
## rtvo.date (date=FALSE)


